Bug 68023 - table cell of type float: uses value or body depending on style
Summary: table cell of type float: uses value or body depending on style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 68020
  Show dependency treegraph
 
Reported: 2013-08-12 14:20 UTC by Lionel Elie Mamane
Modified: 2021-12-03 04:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-08-12 14:20:02 UTC
Consider attachment 83968 [details]

I'm surprised that on row April Prime, the second and third column
display differently. Depending on the format, the office:value
attribute or the text:p child are used? I'd expect that to be a bug.
It should *always* take the office:value attribute.
Comment 1 Robinson Tryon (qubit) 2014-07-03 20:18:14 UTC
(Remove NeedAdvice from Whiteboard)

(In reply to comment #0)
> Consider attachment 83968 [details]
> 
> I'm surprised that on row April Prime, the second and third column
> display differently. Depending on the format, the office:value
> attribute or the text:p child are used? I'd expect that to be a bug.
> It should *always* take the office:value attribute.

Lionel - What do you mean "the second and third column display differently" ?

Testing on LO Version: 4.4.0.0.alpha0+ on Ubuntu 12.04.4, I see different values in the columns, but do not see a quick way to differentiate between the display/rendering of the cells.
Comment 2 Lionel Elie Mamane 2014-07-03 20:56:29 UTC
(In reply to comment #1)

> Lionel - What do you mean "the second and third column display differently" ?

> Testing on LO Version: 4.4.0.0.alpha0+ on Ubuntu 12.04.4, I see different
> values in the columns,

That's exactly the bug. You should see the same values.
Comment 3 Robinson Tryon (qubit) 2014-07-03 21:11:46 UTC
(In reply to comment #2)
> (In reply to comment #1)
> 
> > Lionel - What do you mean "the second and third column display differently" ?
> 
> > Testing on LO Version: 4.4.0.0.alpha0+ on Ubuntu 12.04.4, I see different
> > values in the columns,
> 
> That's exactly the bug. You should see the same values.

Ok.

Status -> NEW
Comment 4 QA Administrators 2015-07-18 17:43:43 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-09-20 10:17:53 UTC Comment hidden (obsolete)
Comment 6 Jean-Baptiste Faure 2016-09-25 09:42:38 UTC
Still reproducible in LO 5.2.3.0+ and current master, both built at home under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 7 Xisco Faulí 2017-09-29 08:51:17 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:11:45 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-12-03 04:29:30 UTC
Dear Lionel Elie Mamane,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug